From Linux-VServer

Revision as of 23:25, 21 October 2011 by Glenn (Talk | contribs)

(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to: navigation, search

At the time of this writing, IPv6 support in guests requires you to apply an additional patch on top of the Linux-VServer patch. The IPv6 patch can be fetched from the official source: Bruno Prémont's IPv6 patches, and sometimes rediffs against later kernels are available from my patch directory.

To use the patch, you need util-vserver 0.30.212 or newer. These versions support IPv6 natively, so you just need to put the address in /etc/vservers/<guest>/interfaces/X/ip and start the guest to get it an IPv6 address. You should also put "64" (or whatever bitmask has been assigned to you with your prefix) in /etc/vservers/<guest>/interfaces/X/prefix.

Starting with linux-vserver-2.3 IPv6 support is included in the main source code. No need to apply any extra patches. You will need to have util-vserver 0.30.214 or newer if you are using the 2.3+ patches.


If you want both IPv6 and IPv4 addresses, just use IPv4 on one interface (e.g. interfaces/0) and create another interface (e.g. interfaces/1) with IPv6.

Loopback isolation

There is currently no loopback isolation (as it is for IPv4) available for IPv6.

Personal tools